aboutsummaryrefslogtreecommitdiffstats
path: root/test/suite-decryption.sh
diff options
context:
space:
mode:
authorMirko Parthey <mirko.parthey@web.de>2016-08-14 23:50:25 +0200
committerAnders Broman <a.broman58@gmail.com>2016-08-20 06:48:31 +0000
commit302660bf575fcb7b8423b9cfbdf32e58e3a14e94 (patch)
tree61aeeb637579250c6979c406345cc54148514d53 /test/suite-decryption.sh
parent6eebf9491cede3aa021e63a65ce1a28fc93f5572 (diff)
ISAKMP: Add regression tests
Add regression tests for bugs 12610 and 12620 Bug: 12610 Bug: 12620 Change-Id: I6325a3ccb3e27fd4d3be52190e8763737b99fe73 Reviewed-on: https://code.wireshark.org/review/17083 Reviewed-by: Michael Mann <mmann78@netscape.net> Petri-Dish: Michael Mann <mmann78@netscape.net> Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org> Reviewed-by: Anders Broman <a.broman58@gmail.com>
Diffstat (limited to 'test/suite-decryption.sh')
-rwxr-xr-xtest/suite-decryption.sh32
1 files changed, 32 insertions, 0 deletions
diff --git a/test/suite-decryption.sh b/test/suite-decryption.sh
index 85a0261f02..14a15736cf 100755
--- a/test/suite-decryption.sh
+++ b/test/suite-decryption.sh
@@ -310,6 +310,36 @@ decryption_step_ikev1_certs() {
test_step_ok
}
+# IKEv1 (ISAKMP) simultaneous exchanges
+# https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=12610
+decryption_step_ikev1_simultaneous() {
+ $TESTS_DIR/run_and_catch_crashes env $TS_DC_ENV $TSHARK $TS_DC_ARGS \
+ -Tfields -e isakmp.hash \
+ -r "$CAPTURE_DIR/ikev1-bug-12610.pcapng.gz" \
+ | grep "b5:25:21:f7:74:96:74:02:c9:f6:ce:e9:5f:d1:7e:5b" > /dev/null 2>&1
+ RETURNVALUE=$?
+ if [ ! $RETURNVALUE -eq $EXIT_OK ]; then
+ test_step_failed "Failed to decrypt simultaneous IKEv1 exchanges"
+ return
+ fi
+ test_step_ok
+}
+
+# IKEv1 (ISAKMP) unencrypted phase 1
+# https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=12620
+decryption_step_ikev1_unencrypted() {
+ $TESTS_DIR/run_and_catch_crashes env $TS_DC_ENV $TSHARK $TS_DC_ARGS \
+ -Tfields -e isakmp.hash \
+ -r "$CAPTURE_DIR/ikev1-bug-12620.pcapng.gz" \
+ | grep "40:04:3b:64:0f:43:73:25:0d:5a:c3:a1:fb:63:15:3c" > /dev/null 2>&1
+ RETURNVALUE=$?
+ if [ ! $RETURNVALUE -eq $EXIT_OK ]; then
+ test_step_failed "Failed to decrypt the first packet of a post-phase1 IKEv1 exchange"
+ return
+ fi
+ test_step_ok
+}
+
# HTTP2 (HPACK)
decryption_step_http2() {
env $TS_DC_ENV $TSHARK $TS_DC_ARGS \
@@ -353,6 +383,8 @@ tshark_decryption_suite() {
test_step_add "ANSI C12.22 Decryption" decryption_step_c1222
test_step_add "DVB-CI Decryption" decryption_step_dvb_ci
test_step_add "IKEv1 Decryption (certificates)" decryption_step_ikev1_certs
+ test_step_add "IKEv1 Decryption (simultaneous exchanges)" decryption_step_ikev1_simultaneous
+ test_step_add "IKEv1 Decryption (unencrypted phase 1)" decryption_step_ikev1_unencrypted
test_step_add "HTTP2 (HPACK)" decryption_step_http2
}